package data;

import java.util.Objects;

/*
Created for when words are sorted by multiple keys, i.e. not just lemmas but lemmas and msd simultaneously.
*/
public final class MultipleHMKeys {
    private final String key, lemma, wordType, msd;
    private MultipleHMKeys actual_obj;
    public MultipleHMKeys(String key) {
        this.key = key;
        this.lemma = "";
        this.wordType = "";
        this.msd = "";
    }

    public MultipleHMKeys(String key, String lemma, String wordType, String msd) {
        this.key = key;
        this.lemma = lemma;
        this.wordType = wordType;
        this.msd = msd;
    }

    public String getKey() {
        return key;
    }

    public String getLemma() {
        return lemma;
    }

    public String getWordType() {
        return wordType;
    }

    public String getMsd() {
        return msd;
    }

    @Override
    public int hashCode() {
        return Objects.hash(key, lemma, wordType, msd);
    }

    @Override
    public boolean equals(Object obj) {
        return (obj instanceof MultipleHMKeys) && ((MultipleHMKeys) obj).key.equals(key)
                && ((MultipleHMKeys) obj).lemma.equals(lemma)
                && ((MultipleHMKeys) obj).wordType.equals(wordType)
                && ((MultipleHMKeys) obj).msd.equals(msd);
    }
}
